# __gnu_parallel::equal_to< T1, T2 > Struct Template Reference

Similar to std::equal_to, but allows two different types. More...

Inheritance diagram for __gnu_parallel::equal_to< T1, T2 >:

List of all members.

## Public Types

- typedef T1 first_argument_type
- typedef bool result_type
- typedef T2 second_argument_type

## Public Member Functions

- bool operator() (const T1 &t1, const T2 &t2) const

## Detailed Description

### template<typename T1, typename T2>
struct __gnu_parallel::equal_to< T1, T2 >

Similar to std::equal_to, but allows two different types.

Definition at line 250 of file base.h.

## Member Typedef Documentation

typedef T1 std::binary_function< T1 , T2 , bool >::first_argument_type `[inherited]`

the type of the first argument (no surprises here)

Definition at line 114 of file stl_function.h.

typedef bool std::binary_function< T1 , T2 , bool >::result_type `[inherited]`

type of the return type

Definition at line 118 of file stl_function.h.

typedef T2 std::binary_function< T1 , T2 , bool >::second_argument_type `[inherited]`

the type of the second argument

Definition at line 117 of file stl_function.h.

The documentation for this struct was generated from the following file:

- base.h